layui.extend({
    common    :   'js/common'
}).use(['table', 'jquery','layer','common','form','util','laydate'], function () {
    //  弹窗插件
    var layer = layui.layer;
    //  Jquery插件
    var $ = layui.jquery;
    //  引入公共模块
    var common = layui.common;
    //  引入表格
    var table = layui.table;
    //引入表单
    var form = layui.form;
    //引入工具
    var util=layui.util;
    //引入时间日期
    var laydate=layui.laydate;
        //选中时间条件
    var startDateCondition,endDateCondition;

    var layuiTable=common.layuiTable.render(table,{
        elem: '#table-id'
        ,url: '/estate/noticePush/showNoticePushList'
        ,method:'POST'//  接口http请求类型，默认：get
        ,cellMinWidth: 80//全局定义常规单元格的最小宽度，
        , cols: [[
            { field: 'noticeTitle', title: '公告标题',align: 'center' }
            ,{ field: 'code',align: 'center', title: '公告编号',templet:function(d) { return d.notice.code==null?'':d.notice.code} }
            ,{ field: 'startDate',align: 'center', title: '公告开始时间' ,templet:function(d) {
                    return d.startDate ? layui.util.toDateString(d.startDate) : "";
            }}
            ,{ field: 'endDate',align: 'center', title: '公告结束时间' ,templet:function(d) {
                    return d.endDate ? layui.util.toDateString(d.endDate) : "";
            } }
            ,{ field: 'createAccountName', title: '发布人',align: 'center' }
            ,{ field: 'pushType', title: '发布方式',toolbar: '#pushType' ,align: 'center'}
            ,{ field: 'pushDate',align: 'center', title: '发布时间' ,templet:function(d) {
                    return d.pushDate ? layui.util.toDateString(d.pushDate) : "";
            }}
            ,{ field: 'pushStatus', title: '发布结果' ,toolbar: '#pushStatus',align: 'center'}
            ,{ title: '操作',width:180,align: 'center', toolbar: '#table-useradmin-webuser' }
        ]]
        //  开启分页功能
        , page: true
    });

    //工具条事件 lay-filter="table-id"
    table.on('tool(table-id)', function(obj){
        var data = obj.data;
        switch(obj.event){
            case 'edit':
                common.openDefaultIframe({
                    title   :   '公告发布详细',
                    content :   '/estate/noticePush/findNoticePushById/'+data.id //  打开内容
                });
                break;
        }
    });
     /**
     * 查询加载
     */
     var queryTableFn = function(){
         var params = {
            title  : $("input[name='title']").val(),
            code  : $("input[name='code']").val(),
            startDateCondition:startDateCondition,
            endDateCondition:endDateCondition,
        };
        //重新加载表格
        layuiTable.reload({
            where:{
                "notice.title" : params.title,
                "notice.code"  : params.code,
                startDateCondition:params.startDateCondition,
                endDateCondition:params.endDateCondition,
            }
            //重新从第1页开始
            ,page: {
                curr: 1
            }
        });
    };
    //日期时间范围选择
    laydate.render({
        elem: '#laydate-range-datetime'
        ,type: 'date'
        ,range:true //或 range: '~' 来自定义分割字符
        ,done: function(value, date, endDate){
            //date得到日期时间对象：{year: 2017, month: 8, date: 18, hours: 0, minutes: 0, seconds: 0}
            if(value){
                var dates=value.split(" - ");
                startDateCondition=dates[0] + ' 00:00:00';
                endDateCondition=dates[1] + ' 23:59:59';
            }else{
                startDateCondition="";
                endDateCondition="";
            }
        }
    });

    //监听搜索
    form.on('submit(query)', function(){
        queryTableFn();
    });

    //监听重置查询
    form.on('submit(reset)', function(){
        //清空条件输入框
        $("input[name='title']").val("");
        $("input[name='code']").val("");
        $("#laydate-range-datetime").val("");
        startDateCondition="";
        endDateCondition="";
        queryTableFn();
    });

    //监听公告添加
    form.on('submit(add)', function(){
        common.openDefaultIframe({
            title   :   '添加公告发布信息',
            content :   '/estate/noticePush/add' //  打开内容
        });
    });
});